%global momorel 1
Name: libcryptui
Version: 3.12.2
Release: %{momorel}m%{?dist}
Summary: Interface components for OpenPGP

Group: System Environment/Libraries
License: LGPLv2+
URL: http://projects.gnome.org/seahorse/
Source0: http://download.gnome.org/sources/libcryptui/3.12/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires: dbus-glib-devel
BuildRequires: gnome-doc-utils
BuildRequires: libgnome-keyring-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gpgme-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: libnotify-devel
BuildRequires: libtool
BuildRequires: libSM-devel

%description
libcryptui is a library used for prompting for PGP keys.

%package devel
Summary: Header files required to develop with libcryptui
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The libcryptui-devel package contains the header files and developer
documentation for the libcryptui library.

%prep
%setup -q

%build
%configure
%make 

%install
make install DESTDIR=%{buildroot}
%find_lang cryptui --with-gnome --all-name

find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files -f cryptui.lang
%doc AUTHORS COPYING-LIBCRYPTUI NEWS README
%{_bindir}/*
%{_mandir}/man1/*.bz2
%{_datadir}/cryptui
%{_libdir}/libcryptui.so.*
%{_datadir}/dbus-1/services/*
%{_datadir}/pixmaps/cryptui
%{_libdir}/girepository-1.0/*
%{_datadir}/GConf/gsettings/org.gnome.seahorse.recipients.convert
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.recipients.gschema.xml

%files devel
%{_libdir}/libcryptui.so
%{_libdir}/pkgconfig/*
%{_includedir}/libcryptui
%{_datadir}/gtk-doc/html/libcryptui
%{_datadir}/gir-1.0/*

%changelog
* Sun Sep 28 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.2-1m)
- import from fedora

